Skip to main content
Pure Technical Services

vROps 2.x Management Pack Release Notes

Currently viewing public documentation. Please login to access the full scope of documentation.

Release Timeline

The following table outlines the release status and release date for the most recent release. 

Management Pack Version Release Status Release Date Supported Purity Versions Supported vROPs Versions
2.0.12 Available for download February 2021 5.0+ 6.7, 7.0, & 7.5
2.0.11 Available for download February 2020 5.0+ 6.7, 7.0, & 7.5

2.0.12 Release Notes

Fixes

  • Bandwidth Write Workload % and Bandwidth Read Workload % corrected (CSG-1230)
  • Addresses an issue where collection times run longer than expected which may result in specific API calls timing out to vCenter / vROps (CSG-635 / CSG-695)

Enhancements

None

Requirements

  • Purity 5.0+
  • vROPs versions 6.7, 7.0 or 7.5

Known Limitations / Issues  

None

2.0.11 Release Notes

Release: February 2020

Caution

If utilizing the 'Only Filtered by vSphere' option you MUST set this option to "True" before upgrading to version 2.0.11. Once the upgrade is completed you can then set that option back to 'False' if needed.

Pure Storage found an issue when attempting to upgrade from previous vROps management plugin version to 2.0.8 (when it was available for download).  During the install of 2.0.8 the install will report as failed, however the Pure Storage Management Plugin will report as 2.0.8 and the collector will continue to collect. While the management pack reflects the new version of 2.0.8 many of the updated features of 2.0.8 will not be functional. 

Now that 2.0.11 has been released, the recommended workflow for customers that upgraded from 1.0.x to 2.0.8 will be to downgrade from 2.0.8 (don't uninstall it) to 1.0.152 (this can be downloaded here).  Once on 1.0.152, upgrade to 2.0.11.

Fixes

None

Enhancements 

  • New and Updated Dashboards
  • Support for FlashArray Pod resource kind and metrics
  • Datastore/Volume Host Written and Dead Space Metrics

Requirements

  • Purity 5.0+
  • vROPs versions 6.7, 7.0 or 7.5

Known Limitations / Issues 

None